> ## Documentation Index
> Fetch the complete documentation index at: https://oxenai-eric-revamp-getting-started.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List checkpoints for a fine-tune job

> Retrieve all saved checkpoints for a fine-tune training run.



## OpenAPI

````yaml https://dev.hub.oxen.ai/api/_spec/oxen_hub_api.json get /api/repos/{namespace}/{repo_name}/fine_tunes/{id}/checkpoints
openapi: 3.0.0
info:
  title: oxen
  version: 0.224.2
servers:
  - url: https://dev.hub.oxen.ai
    variables: {}
security: []
tags: []
paths:
  /api/repos/{namespace}/{repo_name}/fine_tunes/{id}/checkpoints:
    get:
      tags:
        - fine_tunes
      summary: List checkpoints for a fine-tune job
      description: Retrieve all saved checkpoints for a fine-tune training run.
      operationId: OxenApiWeb.Controllers.FineTuneController.checkpoints
      parameters:
        - description: Fine-tune ID
          example: ft_123
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  branch:
                    description: Oxen branch where checkpoints are stored
                    type: string
                  checkpoints:
                    items:
                      type: object
                    type: array
                  fine_tune_id:
                    type: string
                  total_checkpoints:
                    type: integer
                type: object
          description: Checkpoints list
        '404':
          content:
            application/json:
              schema:
                type: object
          description: Fine-tune not found
      callbacks: {}
      security:
        - authorization: []
components:
  securitySchemes:
    authorization:
      scheme: bearer
      type: http

````